Subject: Re: Suggestion: "man git clone"

From: Federico Lucifredi <[email-masked]>
Date: Thu, 21 Aug 2008 21:19:56 -0400

Jeff King wrote:
> On Thu, Aug 21, 2008 at 08:07:56PM -0400, Federico Lucifredi wrote:
> 
>> I am all for bass-ackwards compatibility, and I think the suggestion of  
>> going on "man foo bar" :
>>
>>  1) look for foo-bar; if success, terminate search
>>  2) look for foo
>>  3) look for bar
>>  ....
>>
>> may be acceptable - I don't see drawbacks at a first glance, and it would 
>> allow for groups of pages to be meaningful.
> 
> Well, the drawback is that there exist X-Y such that X and Y both have
> manpages (e.g., cvs-debc on my debian box). So we are assuming that the
> risk is acceptably low of somebody asking for "man X Y", wanting two
> manpages, and that X and Y fit this pattern.
> 

That's right.

> Personally I have never ever wanted to see two manpages from one man
> invocation, so I have no real problem with that assumption.
> 

I expected as much, and we should have an option to disable the "new" 
behavior as a safety anyway.

>> Are you willing to put your patch where your mouth is? :-)
> 
> I've never looked at man code before, but there seem to be at least two
> man packages for Linux. My boxes have man-db 2.5.2.

There are two man packages for linux, man and man-db, the latter being a 
90's fork that uses Berkeley DB as a backend to speedup man -k searches 
(it helped back then).

  Best -F
-- 
_________________________________________
-- "'Problem' is a bleak word for challenge" - Richard Fish
(Federico L. Lucifredi) - [email-masked]